org.apache.tools.ant.taskdefs.optional.depend.constantpool

## Class StringCPInfo

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry
  - - org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantCPInfo
    - - org.apache.tools.ant.taskdefs.optional.depend.constantpool.StringCPInfo

    public class StringCPInfo
    extends ConstantCPInfo

A String Constant Pool Entry. The String info contains an index into the constant pool where a UTF8 string is stored.

### Field Summary

### Fields inherited from class org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry

`CONSTANT_CLASS, CONSTANT_DOUBLE, CONSTANT_FIELDREF, CONSTANT_FLOAT, CONSTANT_INTEGER, CONSTANT_INTERFACEMETHODREF, CONSTANT_INVOKEDYNAMIC, CONSTANT_LONG, CONSTANT_METHODHANDLE, CONSTANT_METHODREF, CONSTANT_METHODTYPE, CONSTANT_NAMEANDTYPE, CONSTANT_STRING, CONSTANT_UTF8`

### Constructor Summary

Constructors
Constructor and Description
`StringCPInfo()` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `read(java.io.DataInputStream cpStream)` read a constant pool entry from a class stream.
`void` `resolve(ConstantPool constantPool)` Resolve this constant pool entry with respect to its dependents in the constant pool.
`java.lang.String` `toString()` Print a readable version of the constant pool entry.

### Methods inherited from class org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantCPInfo

`getValue, setValue`

### Methods inherited from class org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry

`getNumEntries, getTag, isResolved, readEntry`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StringCPInfo

    public StringCPInfo()

Constructor.

### Method Detail

#### read

    public void read(java.io.DataInputStream cpStream)
              throws java.io.IOException

read a constant pool entry from a class stream.

Specified by:
  `read` in class `ConstantPoolEntry`
Parameters:
  `cpStream` - the DataInputStream which contains the constant pool entry to be read.
Throws:
  `java.io.IOException` - if there is a problem reading the entry from the stream.

#### toString

    public java.lang.String toString()

Print a readable version of the constant pool entry.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  the string representation of this constant pool entry.

#### resolve

    public void resolve(ConstantPool constantPool)

Resolve this constant pool entry with respect to its dependents in the constant pool.

Overrides:
  `resolve` in class `ConstantPoolEntry`
Parameters:
  `constantPool` - the constant pool of which this entry is a member and against which this entry is to be resolved.